using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;

using System.Windows.Forms;


namespace DebtManagerTest
{
	public class frmPaymentAgreements : DebtManagerTest.DebtBaseForm
	{
		private System.Data.OleDb.OleDbDataAdapter daPaymentAgreements;
		private System.Data.OleDb.OleDbCommand oleDbSelectCommand1;
		private System.Data.OleDb.OleDbCommand oleDbInsertCommand1;
		private System.Data.OleDb.OleDbCommand oleDbUpdateCommand1;
		private System.Data.OleDb.OleDbCommand oleDbDeleteCommand1;
		private DebtManagerTest.dsPaymentAgreements dsPaymentAgreements1;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.DateTimePicker dateTimePicker1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.TextBox textBox1;
		private System.Windows.Forms.DateTimePicker dateTimePicker2;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.TextBox textBox2;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.TextBox textBox3;
		private UtilityLibrary.WinControls.ListViewEx lstPayments;
		private System.Windows.Forms.ColumnHeader columnHeader1;
		private System.Windows.Forms.ColumnHeader columnHeader2;
		private UtilityLibrary.WinControls.ButtonEx cmdCalc;
		private System.ComponentModel.IContainer components = null;
		private System.Data.OleDb.OleDbCommand oleDbSelectCommand2;
		private System.Data.OleDb.OleDbCommand oleDbInsertCommand2;
		private System.Data.OleDb.OleDbCommand oleDbUpdateCommand2;
		private System.Data.OleDb.OleDbCommand oleDbDeleteCommand2;
		private System.Data.OleDb.OleDbDataAdapter daPaymentAgreementPayments;
		
		public frmPaymentAgreements()
		{
			// This call is required by the Windows Form Designer.
			InitializeComponent();

			// TODO: Add any initialization after the InitializeComponent call
			this.textBox1.DataBindings.Add(new CurrencyBinding("Text", this.dsPaymentAgreements1, "PaymentAgreements.AmountToPay"));
			this.dateTimePicker2.DataBindings.Add(new DTPBinding("Checked", this.dsPaymentAgreements1, "PaymentAgreements.LastChecked"));
			this.daMain = this.daPaymentAgreements;
			this.mTableName = "PaymentAgreements";
			this.mDs = this.dsPaymentAgreements1;
			this.daPaymentAgreementPayments.SelectCommand.Connection = this.daPaymentAgreements.SelectCommand.Connection;
			this.daPaymentAgreementPayments.UpdateCommand.Connection = this.daPaymentAgreements.SelectCommand.Connection;
			this.daPaymentAgreementPayments.DeleteCommand.Connection = this.daPaymentAgreements.SelectCommand.Connection;
			this.daPaymentAgreementPayments.InsertCommand.Connection = this.daPaymentAgreements.SelectCommand.Connection;
			this.lstPayments.SetColumnSortFormat(0,UtilityLibrary.WinControls.SortedListViewFormatType.Date);
			this.lstPayments.SetColumnSortFormat(1,UtilityLibrary.WinControls.SortedListViewFormatType.Currency);
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.daPaymentAgreements = new System.Data.OleDb.OleDbDataAdapter();
			this.oleDbDeleteCommand1 = new System.Data.OleDb.OleDbCommand();
			this.oleDbInsertCommand1 = new System.Data.OleDb.OleDbCommand();
			this.oleDbSelectCommand1 = new System.Data.OleDb.OleDbCommand();
			this.oleDbUpdateCommand1 = new System.Data.OleDb.OleDbCommand();
			this.dsPaymentAgreements1 = new DebtManagerTest.dsPaymentAgreements();
			this.label1 = new System.Windows.Forms.Label();
			this.dateTimePicker1 = new System.Windows.Forms.DateTimePicker();
			this.label2 = new System.Windows.Forms.Label();
			this.textBox1 = new System.Windows.Forms.TextBox();
			this.dateTimePicker2 = new System.Windows.Forms.DateTimePicker();
			this.label3 = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.textBox2 = new System.Windows.Forms.TextBox();
			this.label5 = new System.Windows.Forms.Label();
			this.textBox3 = new System.Windows.Forms.TextBox();
			this.lstPayments = new UtilityLibrary.WinControls.ListViewEx();
			this.columnHeader1 = new System.Windows.Forms.ColumnHeader();
			this.columnHeader2 = new System.Windows.Forms.ColumnHeader();
			this.cmdCalc = new UtilityLibrary.WinControls.ButtonEx();
			this.daPaymentAgreementPayments = new System.Data.OleDb.OleDbDataAdapter();
			this.oleDbDeleteCommand2 = new System.Data.OleDb.OleDbCommand();
			this.oleDbInsertCommand2 = new System.Data.OleDb.OleDbCommand();
			this.oleDbSelectCommand2 = new System.Data.OleDb.OleDbCommand();
			this.oleDbUpdateCommand2 = new System.Data.OleDb.OleDbCommand();
			this.tabControl1.SuspendLayout();
			this.tabGeneral.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dsPaymentAgreements1)).BeginInit();
			this.SuspendLayout();
			// 
			// tabControl1
			// 
			this.tabControl1.Size = new System.Drawing.Size(373, 338);
			this.tabControl1.Visible = true;
			// 
			// tabGeneral
			// 
			this.tabGeneral.Controls.AddRange(new System.Windows.Forms.Control[] {
																					 this.cmdCalc,
																					 this.lstPayments,
																					 this.textBox3,
																					 this.label5,
																					 this.textBox2,
																					 this.label4,
																					 this.label3,
																					 this.dateTimePicker2,
																					 this.dateTimePicker1,
																					 this.textBox1,
																					 this.label2,
																					 this.label1});
			this.tabGeneral.Size = new System.Drawing.Size(373, 313);
			this.tabGeneral.Visible = true;
			// 
			// lblStatus
			// 
			this.lblStatus.Location = new System.Drawing.Point(5, 343);
			this.lblStatus.Size = new System.Drawing.Size(196, 27);
			this.lblStatus.Visible = true;
			// 
			// cmdOK
			// 
			this.cmdOK.Location = new System.Drawing.Point(215, 347);
			this.cmdOK.Visible = true;
			// 
			// cmdCancel
			// 
			this.cmdCancel.Location = new System.Drawing.Point(290, 347);
			this.cmdCancel.Visible = true;
			// 
			// daPaymentAgreements
			// 
			this.daPaymentAgreements.DeleteCommand = this.oleDbDeleteCommand1;
			this.daPaymentAgreements.InsertCommand = this.oleDbInsertCommand1;
			this.daPaymentAgreements.SelectCommand = this.oleDbSelectCommand1;
			this.daPaymentAgreements.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
																										  new System.Data.Common.DataTableMapping("Table", "PaymentAgreements", new System.Data.Common.DataColumnMapping[] {
																																																							   new System.Data.Common.DataColumnMapping("LastUser", "LastUser"),
																																																							   new System.Data.Common.DataColumnMapping("LastUpdated", "LastUpdated"),
																																																							   new System.Data.Common.DataColumnMapping("LastPaymentID", "LastPaymentID"),
																																																							   new System.Data.Common.DataColumnMapping("LastChecked", "LastChecked"),
																																																							   new System.Data.Common.DataColumnMapping("IncludingRegularPayment", "IncludingRegularPayment"),
																																																							   new System.Data.Common.DataColumnMapping("ID", "ID"),
																																																							   new System.Data.Common.DataColumnMapping("EffectiveDate", "EffectiveDate"),
																																																							   new System.Data.Common.DataColumnMapping("CreateUser", "CreateUser"),
																																																							   new System.Data.Common.DataColumnMapping("Created", "Created"),
																																																							   new System.Data.Common.DataColumnMapping("Comments", "Comments"),
																																																							   new System.Data.Common.DataColumnMapping("CaseID", "CaseID"),
																																																							   new System.Data.Common.DataColumnMapping("AmountToPay", "AmountToPay"),
																																																							   new System.Data.Common.DataColumnMapping("AgreementBreached", "AgreementBreached")})});
			this.daPaymentAgreements.UpdateCommand = this.oleDbUpdateCommand1;
			this.daPaymentAgreements.RowUpdated += new System.Data.OleDb.OleDbRowUpdatedEventHandler(this.daPaymentAgreements_RowUpdated);
			// 
			// oleDbDeleteCommand1
			// 
			this.oleDbDeleteCommand1.CommandText = "DELETE FROM PaymentAgreements WHERE (ID = ?) AND (LastUpdated = ? OR LastUpdated " +
				"IS NULL AND ? IS NULL)";
			this.oleDbDeleteCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("ID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "ID", System.Data.DataRowVersion.Original, null));
			this.oleDbDeleteCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastUpdated", System.Data.OleDb.OleDbType.Date, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "LastUpdated", System.Data.DataRowVersion.Original, null));
			this.oleDbDeleteCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Param3", System.Data.OleDb.OleDbType.Date, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "LastUpdated", System.Data.DataRowVersion.Original, null));
			// 
			// oleDbInsertCommand1
			// 
			this.oleDbInsertCommand1.CommandText = "INSERT INTO PaymentAgreements(LastUser, LastUpdated, LastPaymentID, LastChecked, " +
				"IncludingRegularPayment, EffectiveDate, CreateUser, Created, Comments, CaseID, A" +
				"mountToPay, AgreementBreached) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastUser", System.Data.OleDb.OleDbType.VarWChar, 12, "LastUser"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastUpdated", System.Data.OleDb.OleDbType.Date, 0, "LastUpdated"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastPaymentID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "LastPaymentID", System.Data.DataRowVersion.Current, null));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastChecked", System.Data.OleDb.OleDbType.DBDate, 0, "LastChecked"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("IncludingRegularPayment", System.Data.OleDb.OleDbType.Boolean, 2, "IncludingRegularPayment"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("EffectiveDate", System.Data.OleDb.OleDbType.DBDate, 0, "EffectiveDate"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("CreateUser", System.Data.OleDb.OleDbType.VarWChar, 12, "CreateUser"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Created", System.Data.OleDb.OleDbType.DBDate, 0, "Created"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Comments", System.Data.OleDb.OleDbType.VarWChar, 255, "Comments"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("CaseID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "CaseID", System.Data.DataRowVersion.Current, null));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("AmountToPay", System.Data.OleDb.OleDbType.Currency, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(19)), ((System.Byte)(0)), "AmountToPay", System.Data.DataRowVersion.Current, null));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("AgreementBreached", System.Data.OleDb.OleDbType.Boolean, 2, "AgreementBreached"));
			// 
			// oleDbSelectCommand1
			// 
			this.oleDbSelectCommand1.CommandText = "SELECT LastUser, LastUpdated, LastPaymentID, LastChecked, IncludingRegularPayment" +
				", ID, EffectiveDate, CreateUser, Created, Comments, CaseID, AmountToPay, Agreeme" +
				"ntBreached FROM PaymentAgreements WHERE (ID = ?)";
			this.oleDbSelectCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("ID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "ID", System.Data.DataRowVersion.Current, null));
			// 
			// oleDbUpdateCommand1
			// 
			this.oleDbUpdateCommand1.CommandText = @"UPDATE PaymentAgreements SET LastUser = ?, LastUpdated = ?, LastPaymentID = ?, LastChecked = ?, IncludingRegularPayment = ?, EffectiveDate = ?, CreateUser = ?, Created = ?, Comments = ?, CaseID = ?, AmountToPay = ?, AgreementBreached = ? WHERE (ID = ?) AND (LastUpdated = ? OR LastUpdated IS NULL AND ? IS NULL)";
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastUser", System.Data.OleDb.OleDbType.VarWChar, 12, "LastUser"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastUpdated", System.Data.OleDb.OleDbType.Date, 0, "LastUpdated"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastPaymentID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "LastPaymentID", System.Data.DataRowVersion.Current, null));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastChecked", System.Data.OleDb.OleDbType.DBDate, 0, "LastChecked"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("IncludingRegularPayment", System.Data.OleDb.OleDbType.Boolean, 2, "IncludingRegularPayment"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("EffectiveDate", System.Data.OleDb.OleDbType.DBDate, 0, "EffectiveDate"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("CreateUser", System.Data.OleDb.OleDbType.VarWChar, 12, "CreateUser"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Created", System.Data.OleDb.OleDbType.DBDate, 0, "Created"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Comments", System.Data.OleDb.OleDbType.VarWChar, 255, "Comments"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("CaseID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "CaseID", System.Data.DataRowVersion.Current, null));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("AmountToPay", System.Data.OleDb.OleDbType.Currency, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(19)), ((System.Byte)(0)), "AmountToPay", System.Data.DataRowVersion.Current, null));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("AgreementBreached", System.Data.OleDb.OleDbType.Boolean, 2, "AgreementBreached"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Original_ID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "ID", System.Data.DataRowVersion.Original, null));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Original_LastUpdated", System.Data.OleDb.OleDbType.Date, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "LastUpdated", System.Data.DataRowVersion.Original, null));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Param75", System.Data.OleDb.OleDbType.Date, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "LastUpdated", System.Data.DataRowVersion.Original, null));
			// 
			// dsPaymentAgreements1
			// 
			this.dsPaymentAgreements1.DataSetName = "dsPaymentAgreements";
			this.dsPaymentAgreements1.Locale = new System.Globalization.CultureInfo("en-GB");
			this.dsPaymentAgreements1.Namespace = "http://www.tempuri.org/dsPaymentAgreements.xsd";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(15, 20);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(112, 17);
			this.label1.TabIndex = 0;
			this.label1.Text = "Agreement Date";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// dateTimePicker1
			// 
			this.dateTimePicker1.Checked = false;
			this.dateTimePicker1.DataBindings.Add(new System.Windows.Forms.Binding("Value", this.dsPaymentAgreements1, "PaymentAgreements.EffectiveDate"));
			this.dateTimePicker1.Format = System.Windows.Forms.DateTimePickerFormat.Short;
			this.dateTimePicker1.Location = new System.Drawing.Point(151, 17);
			this.dateTimePicker1.Name = "dateTimePicker1";
			this.dateTimePicker1.Size = new System.Drawing.Size(196, 20);
			this.dateTimePicker1.TabIndex = 1;
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(29, 44);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(98, 17);
			this.label2.TabIndex = 2;
			this.label2.Text = "Amount to pay";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// textBox1
			// 
			this.textBox1.Location = new System.Drawing.Point(151, 42);
			this.textBox1.Name = "textBox1";
			this.textBox1.Size = new System.Drawing.Size(101, 20);
			this.textBox1.TabIndex = 3;
			this.textBox1.Text = "";
			this.textBox1.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
			// 
			// dateTimePicker2
			// 
			this.dateTimePicker2.Checked = false;
			this.dateTimePicker2.DataBindings.Add(new System.Windows.Forms.Binding("Value", this.dsPaymentAgreements1, "PaymentAgreements.LastChecked"));
			this.dateTimePicker2.Format = System.Windows.Forms.DateTimePickerFormat.Short;
			this.dateTimePicker2.Location = new System.Drawing.Point(151, 68);
			this.dateTimePicker2.Name = "dateTimePicker2";
			this.dateTimePicker2.Size = new System.Drawing.Size(196, 20);
			this.dateTimePicker2.TabIndex = 5;
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(28, 70);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(98, 17);
			this.label3.TabIndex = 6;
			this.label3.Text = "First Payment";
			this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(28, 117);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(101, 17);
			this.label4.TabIndex = 7;
			this.label4.Text = "Comments";
			this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// textBox2
			// 
			this.textBox2.AcceptsReturn = true;
			this.textBox2.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.dsPaymentAgreements1, "PaymentAgreements.Comments"));
			this.textBox2.Location = new System.Drawing.Point(151, 118);
			this.textBox2.MaxLength = 255;
			this.textBox2.Multiline = true;
			this.textBox2.Name = "textBox2";
			this.textBox2.Size = new System.Drawing.Size(196, 34);
			this.textBox2.TabIndex = 8;
			this.textBox2.Text = "";
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(7, 95);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(121, 16);
			this.label5.TabIndex = 9;
			this.label5.Text = "Number of Payments";
			this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// textBox3
			// 
			this.textBox3.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.dsPaymentAgreements1, "PaymentAgreements.LastPaymentID"));
			this.textBox3.Location = new System.Drawing.Point(151, 93);
			this.textBox3.Name = "textBox3";
			this.textBox3.Size = new System.Drawing.Size(80, 20);
			this.textBox3.TabIndex = 10;
			this.textBox3.Text = "";
			this.textBox3.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
			// 
			// lstPayments
			// 
			this.lstPayments.CheckBookEvenRowBackColor = System.Drawing.Color.Empty;
			this.lstPayments.CheckBookEvenRowForeColor = System.Drawing.Color.Empty;
			this.lstPayments.CheckBookLookEnabled = false;
			this.lstPayments.CheckBookOddRowBackColor = System.Drawing.Color.Empty;
			this.lstPayments.CheckBookOddRowForeColor = System.Drawing.Color.Empty;
			this.lstPayments.CheckBoxes = true;
			this.lstPayments.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																						  this.columnHeader1,
																						  this.columnHeader2});
			this.lstPayments.FullRowSelect = true;
			this.lstPayments.HeaderColor = System.Drawing.Color.Empty;
			this.lstPayments.HeaderImageList = null;
			this.lstPayments.HeaderStyle = System.Windows.Forms.ColumnHeaderStyle.Nonclickable;
			this.lstPayments.Location = new System.Drawing.Point(20, 166);
			this.lstPayments.MultiSelect = false;
			this.lstPayments.Name = "lstPayments";
			this.lstPayments.PaintSortedColumnBackground = true;
			this.lstPayments.Size = new System.Drawing.Size(328, 136);
			this.lstPayments.SortingEnabled = true;
			this.lstPayments.SortOrder = System.Windows.Forms.SortOrder.Ascending;
			this.lstPayments.TabIndex = 11;
			this.lstPayments.View = System.Windows.Forms.View.Details;
			this.lstPayments.ItemCheck += new System.Windows.Forms.ItemCheckEventHandler(this.lstPayments_ItemCheck);
			// 
			// columnHeader1
			// 
			this.columnHeader1.Text = "Date";
			this.columnHeader1.Width = 150;
			// 
			// columnHeader2
			// 
			this.columnHeader2.Text = "Amount";
			this.columnHeader2.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
			this.columnHeader2.Width = 150;
			// 
			// cmdCalc
			// 
			this.cmdCalc.CausesValidation = false;
			this.cmdCalc.Location = new System.Drawing.Point(234, 92);
			this.cmdCalc.Name = "cmdCalc";
			this.cmdCalc.Size = new System.Drawing.Size(113, 23);
			this.cmdCalc.TabIndex = 14;
			this.cmdCalc.Text = "Calculate Payments ";
			this.cmdCalc.Click += new System.EventHandler(this.cmdCalc_Click);
			// 
			// daPaymentAgreementPayments
			// 
			this.daPaymentAgreementPayments.DeleteCommand = this.oleDbDeleteCommand2;
			this.daPaymentAgreementPayments.InsertCommand = this.oleDbInsertCommand2;
			this.daPaymentAgreementPayments.SelectCommand = this.oleDbSelectCommand2;
			this.daPaymentAgreementPayments.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
																												 new System.Data.Common.DataTableMapping("Table", "PaymentAgreementPayments", new System.Data.Common.DataColumnMapping[] {
																																																											 new System.Data.Common.DataColumnMapping("Amount", "Amount"),
																																																											 new System.Data.Common.DataColumnMapping("Created", "Created"),
																																																											 new System.Data.Common.DataColumnMapping("CreateUser", "CreateUser"),
																																																											 new System.Data.Common.DataColumnMapping("Date", "Date"),
																																																											 new System.Data.Common.DataColumnMapping("ID", "ID"),
																																																											 new System.Data.Common.DataColumnMapping("LastUpdated", "LastUpdated"),
																																																											 new System.Data.Common.DataColumnMapping("LastUser", "LastUser"),
																																																											 new System.Data.Common.DataColumnMapping("PaymentAgreementID", "PaymentAgreementID"),
																																																											 new System.Data.Common.DataColumnMapping("PaymentMade", "PaymentMade")})});
			this.daPaymentAgreementPayments.UpdateCommand = this.oleDbUpdateCommand2;
			// 
			// oleDbDeleteCommand2
			// 
			this.oleDbDeleteCommand2.CommandText = "DELETE FROM PaymentAgreementPayments WHERE (ID = ?)";
			this.oleDbDeleteCommand2.Parameters.Add(new System.Data.OleDb.OleDbParameter("ID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "ID", System.Data.DataRowVersion.Original, null));
			// 
			// oleDbInsertCommand2
			// 
			this.oleDbInsertCommand2.CommandText = "INSERT INTO PaymentAgreementPayments(Amount, Created, CreateUser, [Date], LastUpd" +
				"ated, LastUser, PaymentAgreementID, PaymentMade) VALUES (?, ?, ?, ?, ?, ?, ?, ?)" +
				"";
			this.oleDbInsertCommand2.Parameters.Add(new System.Data.OleDb.OleDbParameter("Amount", System.Data.OleDb.OleDbType.Currency, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(19)), ((System.Byte)(0)), "Amount", System.Data.DataRowVersion.Current, null));
			this.oleDbInsertCommand2.Parameters.Add(new System.Data.OleDb.OleDbParameter("Created", System.Data.OleDb.OleDbType.DBDate, 0, "Created"));
			this.oleDbInsertCommand2.Parameters.Add(new System.Data.OleDb.OleDbParameter("CreateUser", System.Data.OleDb.OleDbType.VarWChar, 12, "CreateUser"));
			this.oleDbInsertCommand2.Parameters.Add(new System.Data.OleDb.OleDbParameter("Date", System.Data.OleDb.OleDbType.Date, 0, "Date"));
			this.oleDbInsertCommand2.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastUpdated", System.Data.OleDb.OleDbType.DBDate, 0, "LastUpdated"));
			this.oleDbInsertCommand2.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastUser", System.Data.OleDb.OleDbType.VarWChar, 12, "LastUser"));
			this.oleDbInsertCommand2.Parameters.Add(new System.Data.OleDb.OleDbParameter("PaymentAgreementID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "PaymentAgreementID", System.Data.DataRowVersion.Current, null));
			this.oleDbInsertCommand2.Parameters.Add(new System.Data.OleDb.OleDbParameter("PaymentMade", System.Data.OleDb.OleDbType.Boolean, 2, "PaymentMade"));
			// 
			// oleDbSelectCommand2
			// 
			this.oleDbSelectCommand2.CommandText = "SELECT Amount, Created, CreateUser, [Date], ID, LastUpdated, LastUser, PaymentAgr" +
				"eementID, PaymentMade FROM PaymentAgreementPayments WHERE (PaymentAgreementID = " +
				"?)";
			this.oleDbSelectCommand2.Parameters.Add(new System.Data.OleDb.OleDbParameter("PaymentAgreementID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "PaymentAgreementID", System.Data.DataRowVersion.Current, null));
			// 
			// oleDbUpdateCommand2
			// 
			this.oleDbUpdateCommand2.CommandText = "UPDATE PaymentAgreementPayments SET Amount = ?, Created = ?, CreateUser = ?, [Dat" +
				"e] = ?, LastUpdated = ?, LastUser = ?, PaymentAgreementID = ?, PaymentMade = ? W" +
				"HERE (ID = ?)";
			this.oleDbUpdateCommand2.Parameters.Add(new System.Data.OleDb.OleDbParameter("Amount", System.Data.OleDb.OleDbType.Currency, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(19)), ((System.Byte)(0)), "Amount", System.Data.DataRowVersion.Current, null));
			this.oleDbUpdateCommand2.Parameters.Add(new System.Data.OleDb.OleDbParameter("Created", System.Data.OleDb.OleDbType.DBDate, 0, "Created"));
			this.oleDbUpdateCommand2.Parameters.Add(new System.Data.OleDb.OleDbParameter("CreateUser", System.Data.OleDb.OleDbType.VarWChar, 12, "CreateUser"));
			this.oleDbUpdateCommand2.Parameters.Add(new System.Data.OleDb.OleDbParameter("Date", System.Data.OleDb.OleDbType.DBDate, 0, "Date"));
			this.oleDbUpdateCommand2.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastUpdated", System.Data.OleDb.OleDbType.DBDate, 0, "LastUpdated"));
			this.oleDbUpdateCommand2.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastUser", System.Data.OleDb.OleDbType.VarWChar, 12, "LastUser"));
			this.oleDbUpdateCommand2.Parameters.Add(new System.Data.OleDb.OleDbParameter("PaymentAgreementID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "PaymentAgreementID", System.Data.DataRowVersion.Current, null));
			this.oleDbUpdateCommand2.Parameters.Add(new System.Data.OleDb.OleDbParameter("PaymentMade", System.Data.OleDb.OleDbType.Boolean, 2, "PaymentMade"));
			this.oleDbUpdateCommand2.Parameters.Add(new System.Data.OleDb.OleDbParameter("Original_ID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "ID", System.Data.DataRowVersion.Original, null));
			// 
			// frmPaymentAgreements
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(373, 376);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.tabControl1,
																		  this.lblStatus,
																		  this.cmdOK,
																		  this.cmdCancel});
			this.Name = "frmPaymentAgreements";
			this.SizeGripStyle = System.Windows.Forms.SizeGripStyle.Hide;
			this.Text = "Payment Agreement Details";
			this.Load += new System.EventHandler(this.frmPaymentAgreements_Load);
			this.tabControl1.ResumeLayout(false);
			this.tabGeneral.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dsPaymentAgreements1)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion
		
		public override void AddNew(int CaseID)
		{
			base.AddNew(CaseID);
			dsPaymentAgreements1.PaymentAgreements.Rows[0].BeginEdit();
			dsPaymentAgreements1.PaymentAgreements.Rows[0]["EffectiveDate"] = DateTime.Today;
			dsPaymentAgreements1.PaymentAgreements.Rows[0]["LastChecked"] = DateTime.Today;
			dsPaymentAgreements1.PaymentAgreements.Rows[0].EndEdit();
		}

		private void frmPaymentAgreements_Load(object sender, System.EventArgs e)
		{
			if (!this.Adding)
			{
				this.dateTimePicker1.Enabled = false;
				this.dateTimePicker2.Enabled = false;
				this.textBox1.Enabled = false;
				this.textBox3.Enabled = false;
				this.cmdCalc.Enabled = false;
				this.daPaymentAgreementPayments.SelectCommand.Parameters["PaymentAgreementID"].Value = dsPaymentAgreements1.PaymentAgreements[0].ID;
				this.daPaymentAgreementPayments.Fill(dsPaymentAgreements1, "PaymentAgreementPayments");
				FillListView();
			}
		}

		private void FillListView()
		{
			lstPayments.Items.Clear();
			foreach (dsPaymentAgreements.PaymentAgreementPaymentsRow papr in dsPaymentAgreements1.PaymentAgreementPayments)
			{
                ListViewItem temp = new ListViewItem(papr.Date.ToShortDateString());
				temp.SubItems.Add(papr.Amount.ToString("c"));
				temp.Checked = papr.PaymentMade;
				temp.Tag = papr;
				lstPayments.Items.Add(temp);
			}
		}

		private void cmdCalc_Click(object sender, System.EventArgs e)
		{
			int months = 0;
			DateTime workMonth = dateTimePicker2.Value;
			decimal amount = 0;
			try
			{
				months = int.Parse(textBox3.Text);
				amount = decimal.Parse(textBox1.Text,System.Globalization.NumberStyles.Currency, null);
			}
			catch
			{
				MessageBox.Show("The value for number of payments or the amount to pay is invalid.", "Input Error");
				return;
			}
            if (dsPaymentAgreements1.PaymentAgreementPayments.Count > 0 )
			{
				dsPaymentAgreements1.PaymentAgreementPayments.Clear();
			}
			
			for (int x = 0; x < months; x++)
			{
				dsPaymentAgreements.PaymentAgreementPaymentsRow papr = dsPaymentAgreements1.PaymentAgreementPayments.NewPaymentAgreementPaymentsRow();
				papr.BeginEdit();
				papr.PaymentAgreementsRow = dsPaymentAgreements1.PaymentAgreements[0];
				papr.Date = workMonth;
				papr.Amount = amount;
				papr.Created = DateTime.Today;
				papr.CreateUser = CSession.User.Username;
				papr.LastUpdated = DateTime.Now;
				papr.LastUser = CSession.User.Username;
				papr.EndEdit();
				dsPaymentAgreements1.PaymentAgreementPayments.AddPaymentAgreementPaymentsRow(papr);
				workMonth = workMonth.AddMonths(1);
			}
			FillListView();
		}

		private void daPaymentAgreements_RowUpdated(object sender, System.Data.OleDb.OleDbRowUpdatedEventArgs e)
		{
			if (e.StatementType == System.Data.StatementType.Insert)
			{
				System.Data.OleDb.OleDbCommand getKey = new System.Data.OleDb.OleDbCommand("SELECT @@IDENTITY", e.Command.Connection);
				e.Row["ID"] = getKey.ExecuteScalar();
				getKey.Dispose();
			}
		}

		private void lstPayments_ItemCheck(object sender, System.Windows.Forms.ItemCheckEventArgs e)
		{
			((dsPaymentAgreements.PaymentAgreementPaymentsRow)lstPayments.Items[e.Index].Tag).BeginEdit();
			((dsPaymentAgreements.PaymentAgreementPaymentsRow)lstPayments.Items[e.Index].Tag).PaymentMade = (e.NewValue.Equals(CheckState.Checked));
			((dsPaymentAgreements.PaymentAgreementPaymentsRow)lstPayments.Items[e.Index].Tag).LastUpdated = DateTime.Now;
			((dsPaymentAgreements.PaymentAgreementPaymentsRow)lstPayments.Items[e.Index].Tag).LastUser = CSession.User.Username;
			((dsPaymentAgreements.PaymentAgreementPaymentsRow)lstPayments.Items[e.Index].Tag).EndEdit();
		}

		protected override void cmdOK_Click(object sender, System.EventArgs e)
		{
			base.cmdOK_Click(sender, e);
			daPaymentAgreementPayments.Update(dsPaymentAgreements1, "PaymentAgreementPayments");
		}
	}
}

