using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;

using System.Windows.Forms;


namespace DebtManagerTest
{
	public class frmEndowments : DebtManagerTest.DebtBaseForm
	{
		private System.Windows.Forms.Label label1;
		private DebtManagerTest.InterfaceComponents.CompanyLookup companyLookup1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.TextBox textBox1;
		private System.Windows.Forms.CheckBox checkBox1;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.TextBox txtAssured;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.TextBox txtSurrender;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.DateTimePicker dateTimePicker1;
		private System.Data.OleDb.OleDbDataAdapter daEndowments;
		private System.Data.OleDb.OleDbCommand oleDbSelectCommand1;
		private System.Data.OleDb.OleDbCommand oleDbInsertCommand1;
		private System.Data.OleDb.OleDbCommand oleDbUpdateCommand1;
		private System.Data.OleDb.OleDbCommand oleDbDeleteCommand1;
		private DebtManagerTest.dsEndowments dsEndowments1;
		private System.ComponentModel.IContainer components = null;

		public frmEndowments()
		{
			// This call is required by the Windows Form Designer.
			InitializeComponent();

			// TODO: Add any initialization after the InitializeComponent call
			this.daMain = daEndowments;
			this.mDs = dsEndowments1;
			this.mTableName = "EndowmentPolicies";

			this.txtAssured.DataBindings.Add(new CurrencyBinding("Text", this.dsEndowments1, "EndowmentPolicies.SumAssured"));
			this.txtSurrender.DataBindings.Add(new CurrencyBinding("Text", this.dsEndowments1, "EndowmentPolicies.SurrenderValue"));
			this.dateTimePicker1.DataBindings.Add(new DTPBinding("Checked", this.dsEndowments1, "EndowmentPolicies.SurrenderDate"));
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.label1 = new System.Windows.Forms.Label();
			this.companyLookup1 = new DebtManagerTest.InterfaceComponents.CompanyLookup();
			this.label2 = new System.Windows.Forms.Label();
			this.textBox1 = new System.Windows.Forms.TextBox();
			this.checkBox1 = new System.Windows.Forms.CheckBox();
			this.label3 = new System.Windows.Forms.Label();
			this.txtAssured = new System.Windows.Forms.TextBox();
			this.label4 = new System.Windows.Forms.Label();
			this.txtSurrender = new System.Windows.Forms.TextBox();
			this.label5 = new System.Windows.Forms.Label();
			this.dateTimePicker1 = new System.Windows.Forms.DateTimePicker();
			this.daEndowments = new System.Data.OleDb.OleDbDataAdapter();
			this.oleDbDeleteCommand1 = new System.Data.OleDb.OleDbCommand();
			this.oleDbInsertCommand1 = new System.Data.OleDb.OleDbCommand();
			this.oleDbSelectCommand1 = new System.Data.OleDb.OleDbCommand();
			this.oleDbUpdateCommand1 = new System.Data.OleDb.OleDbCommand();
			this.dsEndowments1 = new DebtManagerTest.dsEndowments();
			this.tabControl1.SuspendLayout();
			this.tabGeneral.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dsEndowments1)).BeginInit();
			this.SuspendLayout();
			// 
			// tabControl1
			// 
			this.tabControl1.Size = new System.Drawing.Size(328, 218);
			this.tabControl1.Visible = true;
			// 
			// tabGeneral
			// 
			this.tabGeneral.Controls.AddRange(new System.Windows.Forms.Control[] {
																					 this.dateTimePicker1,
																					 this.label5,
																					 this.txtSurrender,
																					 this.label4,
																					 this.txtAssured,
																					 this.label3,
																					 this.checkBox1,
																					 this.textBox1,
																					 this.label2,
																					 this.companyLookup1,
																					 this.label1});
			this.tabGeneral.Size = new System.Drawing.Size(328, 193);
			this.tabGeneral.Visible = true;
			// 
			// lblStatus
			// 
			this.lblStatus.Location = new System.Drawing.Point(5, 231);
			this.lblStatus.Visible = true;
			// 
			// cmdOK
			// 
			this.cmdOK.Location = new System.Drawing.Point(174, 234);
			this.cmdOK.Visible = true;
			// 
			// cmdCancel
			// 
			this.cmdCancel.Location = new System.Drawing.Point(249, 234);
			this.cmdCancel.Visible = true;
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(11, 18);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(121, 19);
			this.label1.TabIndex = 0;
			this.label1.Text = "Endowment Company";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// companyLookup1
			// 
			this.companyLookup1.DataBindings.Add(new System.Windows.Forms.Binding("SelectedValue", this.dsEndowments1, "EndowmentPolicies.EndowmentCompany"));
			this.companyLookup1.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.companyLookup1.Location = new System.Drawing.Point(144, 18);
			this.companyLookup1.Name = "companyLookup1";
			this.companyLookup1.Size = new System.Drawing.Size(147, 21);
			this.companyLookup1.TabIndex = 1;
			this.companyLookup1.ValidForCreditor = false;
			this.companyLookup1.ValidForEmployer = false;
			this.companyLookup1.ValidForEndowmentCompany = true;
			this.companyLookup1.ValidForEstateAgent = false;
			this.companyLookup1.ValidForHousingAssociation = false;
			this.companyLookup1.ValidForIndemnityCompany = false;
			this.companyLookup1.ValidForInvoiceSource = false;
			this.companyLookup1.ValidForSecondCharge = false;
			this.companyLookup1.ValidForValuer = false;
			this.companyLookup1.zDataBound = true;
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(27, 46);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(102, 16);
			this.label2.TabIndex = 2;
			this.label2.Text = "Policy Number";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// textBox1
			// 
			this.textBox1.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.dsEndowments1, "EndowmentPolicies.PolicyNo"));
			this.textBox1.Location = new System.Drawing.Point(144, 44);
			this.textBox1.Name = "textBox1";
			this.textBox1.Size = new System.Drawing.Size(131, 20);
			this.textBox1.TabIndex = 3;
			this.textBox1.Text = "";
			// 
			// checkBox1
			// 
			this.checkBox1.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.checkBox1.DataBindings.Add(new System.Windows.Forms.Binding("Checked", this.dsEndowments1, "EndowmentPolicies.InArrears"));
			this.checkBox1.Location = new System.Drawing.Point(26, 67);
			this.checkBox1.Name = "checkBox1";
			this.checkBox1.Size = new System.Drawing.Size(131, 24);
			this.checkBox1.TabIndex = 4;
			this.checkBox1.Text = "Premium In Arrears?";
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(27, 98);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(100, 11);
			this.label3.TabIndex = 5;
			this.label3.Text = "Sum Assured";
			this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// txtAssured
			// 
			this.txtAssured.Location = new System.Drawing.Point(144, 94);
			this.txtAssured.Name = "txtAssured";
			this.txtAssured.Size = new System.Drawing.Size(131, 20);
			this.txtAssured.TabIndex = 6;
			this.txtAssured.Text = "";
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(27, 124);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(100, 11);
			this.label4.TabIndex = 7;
			this.label4.Text = "Surrender Value";
			this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// txtSurrender
			// 
			this.txtSurrender.Location = new System.Drawing.Point(144, 120);
			this.txtSurrender.Name = "txtSurrender";
			this.txtSurrender.Size = new System.Drawing.Size(131, 20);
			this.txtSurrender.TabIndex = 8;
			this.txtSurrender.Text = "";
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(27, 149);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(100, 11);
			this.label5.TabIndex = 9;
			this.label5.Text = "Surrender Date";
			this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// dateTimePicker1
			// 
			this.dateTimePicker1.Checked = false;
			this.dateTimePicker1.Format = System.Windows.Forms.DateTimePickerFormat.Short;
			this.dateTimePicker1.Location = new System.Drawing.Point(144, 146);
			this.dateTimePicker1.Name = "dateTimePicker1";
			this.dateTimePicker1.ShowCheckBox = true;
			this.dateTimePicker1.Size = new System.Drawing.Size(147, 20);
			this.dateTimePicker1.TabIndex = 10;
			// 
			// daEndowments
			// 
			this.daEndowments.DeleteCommand = this.oleDbDeleteCommand1;
			this.daEndowments.InsertCommand = this.oleDbInsertCommand1;
			this.daEndowments.SelectCommand = this.oleDbSelectCommand1;
			this.daEndowments.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
																								   new System.Data.Common.DataTableMapping("Table", "EndowmentPolicies", new System.Data.Common.DataColumnMapping[] {
																																																						new System.Data.Common.DataColumnMapping("CaseID", "CaseID"),
																																																						new System.Data.Common.DataColumnMapping("Created", "Created"),
																																																						new System.Data.Common.DataColumnMapping("CreateUser", "CreateUser"),
																																																						new System.Data.Common.DataColumnMapping("EndowmentCompany", "EndowmentCompany"),
																																																						new System.Data.Common.DataColumnMapping("ID", "ID"),
																																																						new System.Data.Common.DataColumnMapping("InArrears", "InArrears"),
																																																						new System.Data.Common.DataColumnMapping("LastUpdated", "LastUpdated"),
																																																						new System.Data.Common.DataColumnMapping("LastUser", "LastUser"),
																																																						new System.Data.Common.DataColumnMapping("PolicyNo", "PolicyNo"),
																																																						new System.Data.Common.DataColumnMapping("SumAssured", "SumAssured"),
																																																						new System.Data.Common.DataColumnMapping("SurrenderDate", "SurrenderDate"),
																																																						new System.Data.Common.DataColumnMapping("SurrenderValue", "SurrenderValue")})});
			this.daEndowments.UpdateCommand = this.oleDbUpdateCommand1;
			// 
			// oleDbDeleteCommand1
			// 
			this.oleDbDeleteCommand1.CommandText = "DELETE FROM EndowmentPolicies WHERE (ID = ?) AND (LastUpdated = ? OR LastUpdated " +
				"IS NULL AND ? IS NULL)";
			this.oleDbDeleteCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("ID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "ID", System.Data.DataRowVersion.Original, null));
			this.oleDbDeleteCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastUpdated", System.Data.OleDb.OleDbType.Date, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "LastUpdated", System.Data.DataRowVersion.Original, null));
			this.oleDbDeleteCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Param3", System.Data.OleDb.OleDbType.Date, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "LastUpdated", System.Data.DataRowVersion.Original, null));
			// 
			// oleDbInsertCommand1
			// 
			this.oleDbInsertCommand1.CommandText = "INSERT INTO EndowmentPolicies(CaseID, Created, CreateUser, EndowmentCompany, InAr" +
				"rears, LastUpdated, LastUser, PolicyNo, SumAssured, SurrenderDate, SurrenderValu" +
				"e) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("CaseID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "CaseID", System.Data.DataRowVersion.Current, null));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Created", System.Data.OleDb.OleDbType.DBDate, 0, "Created"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("CreateUser", System.Data.OleDb.OleDbType.VarWChar, 12, "CreateUser"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("EndowmentCompany", System.Data.OleDb.OleDbType.VarWChar, 10, "EndowmentCompany"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("InArrears", System.Data.OleDb.OleDbType.Boolean, 2, "InArrears"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastUpdated", System.Data.OleDb.OleDbType.Date, 0, "LastUpdated"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastUser", System.Data.OleDb.OleDbType.VarWChar, 12, "LastUser"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("PolicyNo", System.Data.OleDb.OleDbType.VarWChar, 50, "PolicyNo"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("SumAssured", System.Data.OleDb.OleDbType.Currency, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(19)), ((System.Byte)(0)), "SumAssured", System.Data.DataRowVersion.Current, null));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("SurrenderDate", System.Data.OleDb.OleDbType.DBDate, 0, "SurrenderDate"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("SurrenderValue", System.Data.OleDb.OleDbType.Currency, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(19)), ((System.Byte)(0)), "SurrenderValue", System.Data.DataRowVersion.Current, null));
			// 
			// oleDbSelectCommand1
			// 
			this.oleDbSelectCommand1.CommandText = "SELECT CaseID, Created, CreateUser, EndowmentCompany, ID, InArrears, LastUpdated," +
				" LastUser, PolicyNo, SumAssured, SurrenderDate, SurrenderValue FROM EndowmentPol" +
				"icies WHERE (ID = ?)";
			this.oleDbSelectCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("ID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "ID", System.Data.DataRowVersion.Current, null));
			// 
			// oleDbUpdateCommand1
			// 
			this.oleDbUpdateCommand1.CommandText = @"UPDATE EndowmentPolicies SET CaseID = ?, Created = ?, CreateUser = ?, EndowmentCompany = ?, InArrears = ?, LastUpdated = ?, LastUser = ?, PolicyNo = ?, SumAssured = ?, SurrenderDate = ?, SurrenderValue = ? WHERE (ID = ?) AND (LastUpdated = ? OR LastUpdated IS NULL AND ? IS NULL)";
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("CaseID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "CaseID", System.Data.DataRowVersion.Current, null));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Created", System.Data.OleDb.OleDbType.DBDate, 0, "Created"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("CreateUser", System.Data.OleDb.OleDbType.VarWChar, 12, "CreateUser"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("EndowmentCompany", System.Data.OleDb.OleDbType.VarWChar, 10, "EndowmentCompany"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("InArrears", System.Data.OleDb.OleDbType.Boolean, 2, "InArrears"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastUpdated", System.Data.OleDb.OleDbType.Date, 0, "LastUpdated"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastUser", System.Data.OleDb.OleDbType.VarWChar, 12, "LastUser"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("PolicyNo", System.Data.OleDb.OleDbType.VarWChar, 50, "PolicyNo"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("SumAssured", System.Data.OleDb.OleDbType.Currency, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(19)), ((System.Byte)(0)), "SumAssured", System.Data.DataRowVersion.Current, null));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("SurrenderDate", System.Data.OleDb.OleDbType.DBDate, 0, "SurrenderDate"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("SurrenderValue", System.Data.OleDb.OleDbType.Currency, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(19)), ((System.Byte)(0)), "SurrenderValue", System.Data.DataRowVersion.Current, null));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Original_ID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "ID", System.Data.DataRowVersion.Original, null));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Original_LastUpdated", System.Data.OleDb.OleDbType.Date, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "LastUpdated", System.Data.DataRowVersion.Original, null));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Param70", System.Data.OleDb.OleDbType.Date, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "LastUpdated", System.Data.DataRowVersion.Original, null));
			// 
			// dsEndowments1
			// 
			this.dsEndowments1.DataSetName = "dsEndowments";
			this.dsEndowments1.Locale = new System.Globalization.CultureInfo("en-GB");
			this.dsEndowments1.Namespace = "http://www.tempuri.org/dsEndowments.xsd";
			// 
			// frmEndowments
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(328, 265);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.tabControl1,
																		  this.lblStatus,
																		  this.cmdOK,
																		  this.cmdCancel});
			this.Name = "frmEndowments";
			this.Text = "Endowment Policy Details";
			this.tabControl1.ResumeLayout(false);
			this.tabGeneral.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dsEndowments1)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion
	}
}

