using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;

using System.Windows.Forms;


namespace DebtManagerTest
{
	public class frmOffers : DebtManagerTest.DebtBaseForm
	{
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.DateTimePicker dtpOfferDate;
		private System.Windows.Forms.TextBox txtOfferAmount;
		private DebtManagerTest.LookupComboObjects.LookupCombo cboOfferStatus;
		private System.Windows.Forms.DateTimePicker dtpDateApproved;
		private System.Windows.Forms.CheckBox chkAgentRecommended;
		private DebtManagerTest.LookupComboObjects.LookupCombo cboPurchaserStatus;
		private System.Windows.Forms.TextBox txtPurchaserName;
		private System.Windows.Forms.TextBox txtComments;
		private System.Data.OleDb.OleDbDataAdapter daOffers;
		private System.Data.OleDb.OleDbCommand oleDbSelectCommand1;
		private System.Data.OleDb.OleDbCommand oleDbInsertCommand1;
		private System.Data.OleDb.OleDbCommand oleDbUpdateCommand1;
		private System.Data.OleDb.OleDbCommand oleDbDeleteCommand1;
		private DebtManagerTest.dsOffers dsOffers1;
		private System.ComponentModel.IContainer components = null;

		public frmOffers()
		{
			// This call is required by the Windows Form Designer.
			InitializeComponent();

			// TODO: Add any initialization after the InitializeComponent call
			this.mDs = dsOffers1;
			this.daMain = daOffers;
			this.mTableName = "Offers";

			this.txtOfferAmount.DataBindings.Add(new CurrencyBinding("Text", this.dsOffers1, "Offers.OfferAmount"));
			this.dtpDateApproved.DataBindings.Add(new DTPBinding("Checked", this.dsOffers1, "Offers.DateApproved"));
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.label1 = new System.Windows.Forms.Label();
			this.dtpOfferDate = new System.Windows.Forms.DateTimePicker();
			this.label2 = new System.Windows.Forms.Label();
			this.txtOfferAmount = new System.Windows.Forms.TextBox();
			this.cboOfferStatus = new DebtManagerTest.LookupComboObjects.LookupCombo();
			this.label3 = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.dtpDateApproved = new System.Windows.Forms.DateTimePicker();
			this.chkAgentRecommended = new System.Windows.Forms.CheckBox();
			this.label5 = new System.Windows.Forms.Label();
			this.cboPurchaserStatus = new DebtManagerTest.LookupComboObjects.LookupCombo();
			this.label6 = new System.Windows.Forms.Label();
			this.txtPurchaserName = new System.Windows.Forms.TextBox();
			this.label7 = new System.Windows.Forms.Label();
			this.txtComments = new System.Windows.Forms.TextBox();
			this.daOffers = new System.Data.OleDb.OleDbDataAdapter();
			this.oleDbSelectCommand1 = new System.Data.OleDb.OleDbCommand();
			this.oleDbInsertCommand1 = new System.Data.OleDb.OleDbCommand();
			this.oleDbUpdateCommand1 = new System.Data.OleDb.OleDbCommand();
			this.oleDbDeleteCommand1 = new System.Data.OleDb.OleDbCommand();
			this.dsOffers1 = new DebtManagerTest.dsOffers();
			this.tabControl1.SuspendLayout();
			this.tabGeneral.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dsOffers1)).BeginInit();
			this.SuspendLayout();
			// 
			// tabControl1
			// 
			this.tabControl1.Size = new System.Drawing.Size(328, 308);
			this.tabControl1.Visible = true;
			// 
			// tabGeneral
			// 
			this.tabGeneral.Controls.AddRange(new System.Windows.Forms.Control[] {
																					 this.txtComments,
																					 this.label7,
																					 this.txtPurchaserName,
																					 this.label6,
																					 this.cboPurchaserStatus,
																					 this.label5,
																					 this.chkAgentRecommended,
																					 this.dtpDateApproved,
																					 this.label4,
																					 this.label3,
																					 this.cboOfferStatus,
																					 this.txtOfferAmount,
																					 this.label2,
																					 this.dtpOfferDate,
																					 this.label1});
			this.tabGeneral.Size = new System.Drawing.Size(328, 283);
			this.tabGeneral.Visible = true;
			// 
			// lblStatus
			// 
			this.lblStatus.Location = new System.Drawing.Point(4, 318);
			this.lblStatus.Visible = true;
			// 
			// cmdOK
			// 
			this.cmdOK.Location = new System.Drawing.Point(173, 321);
			this.cmdOK.Visible = true;
			// 
			// cmdCancel
			// 
			this.cmdCancel.Location = new System.Drawing.Point(248, 321);
			this.cmdCancel.Visible = true;
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(22, 20);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(107, 12);
			this.label1.TabIndex = 0;
			this.label1.Text = "Offer Date";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// dtpOfferDate
			// 
			this.dtpOfferDate.DataBindings.Add(new System.Windows.Forms.Binding("Value", this.dsOffers1, "Offers.OfferDate"));
			this.dtpOfferDate.Format = System.Windows.Forms.DateTimePickerFormat.Short;
			this.dtpOfferDate.Location = new System.Drawing.Point(139, 15);
			this.dtpOfferDate.Name = "dtpOfferDate";
			this.dtpOfferDate.Size = new System.Drawing.Size(156, 20);
			this.dtpOfferDate.TabIndex = 1;
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(22, 45);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(109, 12);
			this.label2.TabIndex = 2;
			this.label2.Text = "Offer Amount";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// txtOfferAmount
			// 
			this.txtOfferAmount.Location = new System.Drawing.Point(139, 40);
			this.txtOfferAmount.Name = "txtOfferAmount";
			this.txtOfferAmount.Size = new System.Drawing.Size(80, 20);
			this.txtOfferAmount.TabIndex = 3;
			this.txtOfferAmount.Text = "";
			this.txtOfferAmount.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
			// 
			// cboOfferStatus
			// 
			this.cboOfferStatus.AllowUpdates = true;
			this.cboOfferStatus.ComboValue = null;
			this.cboOfferStatus.DataBindings.Add(new System.Windows.Forms.Binding("SelectedValue", this.dsOffers1, "Offers.Status"));
			this.cboOfferStatus.DataBound = true;
			this.cboOfferStatus.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboOfferStatus.ExtraRefreshes = true;
			this.cboOfferStatus.Location = new System.Drawing.Point(139, 65);
			this.cboOfferStatus.LookupID = "OfferStatus";
			this.cboOfferStatus.Name = "cboOfferStatus";
			this.cboOfferStatus.Nullable = true;
			this.cboOfferStatus.Size = new System.Drawing.Size(156, 21);
			this.cboOfferStatus.TabIndex = 4;
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(22, 70);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(107, 12);
			this.label3.TabIndex = 5;
			this.label3.Text = "Offer Status";
			this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(22, 95);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(106, 12);
			this.label4.TabIndex = 6;
			this.label4.Text = "Date Approved";
			this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// dtpDateApproved
			// 
			this.dtpDateApproved.Checked = false;
			this.dtpDateApproved.Format = System.Windows.Forms.DateTimePickerFormat.Short;
			this.dtpDateApproved.Location = new System.Drawing.Point(139, 91);
			this.dtpDateApproved.Name = "dtpDateApproved";
			this.dtpDateApproved.ShowCheckBox = true;
			this.dtpDateApproved.Size = new System.Drawing.Size(156, 20);
			this.dtpDateApproved.TabIndex = 7;
			// 
			// chkAgentRecommended
			// 
			this.chkAgentRecommended.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.chkAgentRecommended.DataBindings.Add(new System.Windows.Forms.Binding("Checked", this.dsOffers1, "Offers.AgentRecommended"));
			this.chkAgentRecommended.Location = new System.Drawing.Point(10, 115);
			this.chkAgentRecommended.Name = "chkAgentRecommended";
			this.chkAgentRecommended.Size = new System.Drawing.Size(143, 24);
			this.chkAgentRecommended.TabIndex = 8;
			this.chkAgentRecommended.Text = "Agent Recommended?";
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(21, 147);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(110, 12);
			this.label5.TabIndex = 9;
			this.label5.Text = "Purchaser Status";
			this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// cboPurchaserStatus
			// 
			this.cboPurchaserStatus.AllowUpdates = true;
			this.cboPurchaserStatus.ComboValue = null;
			this.cboPurchaserStatus.DataBindings.Add(new System.Windows.Forms.Binding("SelectedValue", this.dsOffers1, "Offers.PurchaserStatus"));
			this.cboPurchaserStatus.DataBound = true;
			this.cboPurchaserStatus.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboPurchaserStatus.ExtraRefreshes = true;
			this.cboPurchaserStatus.Location = new System.Drawing.Point(139, 142);
			this.cboPurchaserStatus.LookupID = "PurchaserStatus";
			this.cboPurchaserStatus.Name = "cboPurchaserStatus";
			this.cboPurchaserStatus.Nullable = true;
			this.cboPurchaserStatus.Size = new System.Drawing.Size(156, 21);
			this.cboPurchaserStatus.TabIndex = 10;
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(21, 172);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(110, 12);
			this.label6.TabIndex = 11;
			this.label6.Text = "Purchaser Name";
			this.label6.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// txtPurchaserName
			// 
			this.txtPurchaserName.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.dsOffers1, "Offers.PurchaserName"));
			this.txtPurchaserName.Location = new System.Drawing.Point(139, 168);
			this.txtPurchaserName.MaxLength = 50;
			this.txtPurchaserName.Name = "txtPurchaserName";
			this.txtPurchaserName.Size = new System.Drawing.Size(156, 20);
			this.txtPurchaserName.TabIndex = 12;
			this.txtPurchaserName.Text = "";
			// 
			// label7
			// 
			this.label7.Location = new System.Drawing.Point(21, 197);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(110, 12);
			this.label7.TabIndex = 13;
			this.label7.Text = "Comments";
			this.label7.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// txtComments
			// 
			this.txtComments.AcceptsReturn = true;
			this.txtComments.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.dsOffers1, "Offers.Comments"));
			this.txtComments.Location = new System.Drawing.Point(139, 193);
			this.txtComments.MaxLength = 255;
			this.txtComments.Multiline = true;
			this.txtComments.Name = "txtComments";
			this.txtComments.Size = new System.Drawing.Size(156, 68);
			this.txtComments.TabIndex = 14;
			this.txtComments.Text = "";
			// 
			// daOffers
			// 
			this.daOffers.DeleteCommand = this.oleDbDeleteCommand1;
			this.daOffers.InsertCommand = this.oleDbInsertCommand1;
			this.daOffers.SelectCommand = this.oleDbSelectCommand1;
			this.daOffers.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
																							   new System.Data.Common.DataTableMapping("Table", "Offers", new System.Data.Common.DataColumnMapping[] {
																																																		 new System.Data.Common.DataColumnMapping("AgentRecommended", "AgentRecommended"),
																																																		 new System.Data.Common.DataColumnMapping("CaseID", "CaseID"),
																																																		 new System.Data.Common.DataColumnMapping("Comments", "Comments"),
																																																		 new System.Data.Common.DataColumnMapping("Created", "Created"),
																																																		 new System.Data.Common.DataColumnMapping("CreateUser", "CreateUser"),
																																																		 new System.Data.Common.DataColumnMapping("DateApproved", "DateApproved"),
																																																		 new System.Data.Common.DataColumnMapping("ID", "ID"),
																																																		 new System.Data.Common.DataColumnMapping("LastUpdated", "LastUpdated"),
																																																		 new System.Data.Common.DataColumnMapping("LastUser", "LastUser"),
																																																		 new System.Data.Common.DataColumnMapping("OfferAmount", "OfferAmount"),
																																																		 new System.Data.Common.DataColumnMapping("OfferDate", "OfferDate"),
																																																		 new System.Data.Common.DataColumnMapping("PurchaserName", "PurchaserName"),
																																																		 new System.Data.Common.DataColumnMapping("PurchaserStatus", "PurchaserStatus"),
																																																		 new System.Data.Common.DataColumnMapping("Status", "Status")})});
			this.daOffers.UpdateCommand = this.oleDbUpdateCommand1;
			// 
			// oleDbSelectCommand1
			// 
			this.oleDbSelectCommand1.CommandText = "SELECT AgentRecommended, CaseID, Comments, Created, CreateUser, DateApproved, ID," +
				" LastUpdated, LastUser, OfferAmount, OfferDate, PurchaserName, PurchaserStatus, " +
				"Status FROM Offers WHERE (ID = ?)";
			this.oleDbSelectCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("ID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "ID", System.Data.DataRowVersion.Current, null));
			// 
			// oleDbInsertCommand1
			// 
			this.oleDbInsertCommand1.CommandText = "INSERT INTO Offers(AgentRecommended, CaseID, Comments, Created, CreateUser, DateA" +
				"pproved, LastUpdated, LastUser, OfferAmount, OfferDate, PurchaserName, Purchaser" +
				"Status, Status) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("AgentRecommended", System.Data.OleDb.OleDbType.Boolean, 2, "AgentRecommended"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("CaseID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "CaseID", System.Data.DataRowVersion.Current, null));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Comments", System.Data.OleDb.OleDbType.VarWChar, 255, "Comments"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Created", System.Data.OleDb.OleDbType.DBDate, 0, "Created"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("CreateUser", System.Data.OleDb.OleDbType.VarWChar, 12, "CreateUser"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("DateApproved", System.Data.OleDb.OleDbType.DBDate, 0, "DateApproved"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastUpdated", System.Data.OleDb.OleDbType.Date, 0, "LastUpdated"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastUser", System.Data.OleDb.OleDbType.VarWChar, 12, "LastUser"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("OfferAmount", System.Data.OleDb.OleDbType.Currency, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(19)), ((System.Byte)(0)), "OfferAmount", System.Data.DataRowVersion.Current, null));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("OfferDate", System.Data.OleDb.OleDbType.DBDate, 0, "OfferDate"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("PurchaserName", System.Data.OleDb.OleDbType.VarWChar, 50, "PurchaserName"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("PurchaserStatus", System.Data.OleDb.OleDbType.VarWChar, 20, "PurchaserStatus"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Status", System.Data.OleDb.OleDbType.VarWChar, 1, "Status"));
			// 
			// oleDbUpdateCommand1
			// 
			this.oleDbUpdateCommand1.CommandText = @"UPDATE Offers SET AgentRecommended = ?, CaseID = ?, Comments = ?, Created = ?, CreateUser = ?, DateApproved = ?, LastUpdated = ?, LastUser = ?, OfferAmount = ?, OfferDate = ?, PurchaserName = ?, PurchaserStatus = ?, Status = ? WHERE (ID = ?) AND (LastUpdated = ? OR LastUpdated IS NULL AND ? IS NULL)";
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("AgentRecommended", System.Data.OleDb.OleDbType.Boolean, 2, "AgentRecommended"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("CaseID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "CaseID", System.Data.DataRowVersion.Current, null));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Comments", System.Data.OleDb.OleDbType.VarWChar, 255, "Comments"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Created", System.Data.OleDb.OleDbType.DBDate, 0, "Created"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("CreateUser", System.Data.OleDb.OleDbType.VarWChar, 12, "CreateUser"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("DateApproved", System.Data.OleDb.OleDbType.DBDate, 0, "DateApproved"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastUpdated", System.Data.OleDb.OleDbType.Date, 0, "LastUpdated"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastUser", System.Data.OleDb.OleDbType.VarWChar, 12, "LastUser"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("OfferAmount", System.Data.OleDb.OleDbType.Currency, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(19)), ((System.Byte)(0)), "OfferAmount", System.Data.DataRowVersion.Current, null));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("OfferDate", System.Data.OleDb.OleDbType.DBDate, 0, "OfferDate"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("PurchaserName", System.Data.OleDb.OleDbType.VarWChar, 50, "PurchaserName"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("PurchaserStatus", System.Data.OleDb.OleDbType.VarWChar, 20, "PurchaserStatus"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Status", System.Data.OleDb.OleDbType.VarWChar, 1, "Status"));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Original_ID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "ID", System.Data.DataRowVersion.Original, null));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Original_LastUpdated", System.Data.OleDb.OleDbType.Date, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "LastUpdated", System.Data.DataRowVersion.Original, null));
			this.oleDbUpdateCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Param80", System.Data.OleDb.OleDbType.Date, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "LastUpdated", System.Data.DataRowVersion.Original, null));
			// 
			// oleDbDeleteCommand1
			// 
			this.oleDbDeleteCommand1.CommandText = "DELETE FROM Offers WHERE (ID = ?) AND (LastUpdated = ? OR LastUpdated IS NULL AND" +
				" ? IS NULL)";
			this.oleDbDeleteCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("ID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(10)), ((System.Byte)(0)), "ID", System.Data.DataRowVersion.Original, null));
			this.oleDbDeleteCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("LastUpdated", System.Data.OleDb.OleDbType.Date, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "LastUpdated", System.Data.DataRowVersion.Original, null));
			this.oleDbDeleteCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Param3", System.Data.OleDb.OleDbType.Date, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "LastUpdated", System.Data.DataRowVersion.Original, null));
			// 
			// dsOffers1
			// 
			this.dsOffers1.DataSetName = "dsOffers";
			this.dsOffers1.Locale = new System.Globalization.CultureInfo("en-GB");
			this.dsOffers1.Namespace = "http://www.tempuri.org/dsOffers.xsd";
			// 
			// frmOffers
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(328, 354);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.tabControl1,
																		  this.lblStatus,
																		  this.cmdOK,
																		  this.cmdCancel});
			this.Name = "frmOffers";
			this.Text = "Offer Details";
			this.tabControl1.ResumeLayout(false);
			this.tabGeneral.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dsOffers1)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		public override void AddNew(int CaseID)
		{
			base.AddNew(CaseID);
			dsOffers1.Offers.Rows[0].BeginEdit();
			dsOffers1.Offers.Rows[0]["OfferDate"] = DateTime.Today;
			dsOffers1.Offers.Rows[0].EndEdit();
		}
	}
}

