VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "DBConnection"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Private mConnectionString As String
Private mSystemDB As String
Private mDB As ADODB.Connection

Public Property Let ConnectionString(vData As String)
    mConnectionString = vData
End Property

Public Property Get ConnectionString() As String
    ConnectionString = mConnectionString
End Property

Public Property Get DB() As ADODB.Connection
    If TypeName(mDB) = "Nothing" Then
        Set mDB = New ADODB.Connection
        mDB.Provider = "Microsoft.Jet.OLEDB.4.0"
        mDB.Properties("Jet OLEDB:System Database") = mSystemDB
        mDB.Open ConnectionString, "Designer", ""
    ElseIf mDB.State = adStateClosed Then
        Set mDB = New ADODB.Connection
        mDB.Provider = "Microsoft.Jet.OLEDB.4.0"
        mDB.Properties("Jet OLEDB:System Database") = mSystemDB
        mDB.Open ConnectionString, "Designer", ""
    End If
    Set DB = mDB
End Property

Public Sub ReleaseDB()
    mDB.Close
    Set mDB = Nothing
End Sub

Public Function OpenReadOnlySQL(SQL As String) As ADODB.Recordset
    Set OpenReadOnlySQL = DB.Execute(SQL, , adCmdText)
End Function

Public Function OpenReadOnlyAnyDir(SQL As String) As ADODB.Recordset
    Set OpenReadOnlyAnyDir = New ADODB.Recordset
    OpenReadOnlyAnyDir.CursorLocation = adUseClient
    OpenReadOnlyAnyDir.Open SQL, DB, adOpenStatic, adLockReadOnly, adCmdText
End Function

Public Function OpenDynaset(SQL As String) As ADODB.Recordset
    Set OpenDynaset = New ADODB.Recordset
    OpenDynaset.Open SQL, DB, adOpenDynamic, adLockOptimistic, adCmdText
End Function

Public Function OpenTable(TableName As String) As ADODB.Recordset
    Set OpenTable = New ADODB.Recordset
    OpenTable.Open TableName, DB, adOpenDynamic, adLockOptimistic, adCmdTable
End Function

Private Sub Class_Initialize()
    ConnectionString = GetSetting("DebtManager", "DB", "DB_ConnectionString", "Data Source=C:\documents and settings\gavin\my documents\visual studio projects\debt\Debtdb.mdb")
    mSystemDB = GetSetting("DebtManager", "DB", "DB_SystemDB", "C:\documents and settings\gavin\my documents\visual studio projects\debt\Debtdb.mdw")
End Sub

Private Sub Class_Terminate()
    Set mDB = Nothing
End Sub
