VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsClientDataController"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Private mPropID As Long
Private mDirty As Boolean
Private mDB As DBConnection
'Private mDiary As clsDiary

Private mAccountNumber As String
Private mPropertyAddress As String
Private mPostCode As String
Private mPossessionDate As Variant
Private mArrearsDegree As Long
Private mLoanOutstanding As Currency
Private mMarketValue As Currency
Private mNotes As String
Private mLastUpdated As Variant
Private mLastUser As String

Private StartValues() As Variant
Private EndValues() As Variant

'Public Property Set Diary(d As clsDiary)
'    Set mDiary = d
'End Property
'
'Public Property Get Diary() As clsDiary
'    Set Diary = mDiary
'End Property

Public Property Set DB(d As DBConnection)
    Set mDB = d
End Property

Public Property Get DB() As DBConnection
    Set DB = mDB
End Property

Public Property Get CurrentPropID() As Long
    CurrentPropID = mPropID
End Property

Public Property Get IsDirty() As Boolean
    IsDirty = mDirty
End Property

Public Sub FieldChanged(FieldName As String)
    mDirty = True
End Sub

Public Sub ChangePropID(NewID As Long)
    
    If mPropID > 0 Then
        If mDirty Then
            SaveCurrentRecord
        End If
        If NewID > 0 Then
            'CloseRecord
            OpenRecord NewID
        Else
            CloseRecord
        End If
    Else
        OpenRecord NewID
    End If
    
End Sub

Private Sub OpenRecord(NewID As Long)

    Dim rs As ADODB.Recordset, x
    
    Set rs = DB.OpenReadOnlySQL("Select * From tblProperties Where PropID = " & NewID)
    If Not rs.EOF Then
        rs.MoveFirst
        mPropID = rs!PropID
        mAccountNumber = rs!AccountNumber
        mPropertyAddress = rs!PropertyAddress
        mPostCode = rs!PostCode
        mPossessionDate = rs!PossessionDate
        mArrearsDegree = rs!ArrearsDegree
        mLoanOutstanding = rs!LoanOutstanding
        mMarketValue = rs!MarketValue
        mNotes = nz(rs!Notes, "")
        mLastUpdated = rs!LastUpdated
        mLastUser = rs!LastUser
        StartValues() = rs.GetRows(1)
    End If
    rs.Close
    Set rs = Nothing
    DB.ReleaseDB
    
    For Each x In frmDebtMain.TabStrip1.Tabs
        x.Tag = ""
    Next
    ShowSelectedPageData frmDebtMain.TabStrip1.SelectedItem
    frmDebtMain.ShowTabs
    mDirty = False
    
End Sub

Private Sub SaveCurrentRecord()
    
    Dim rs As ADODB.Recordset
    
    Set rs = DB.OpenDynaset("Select * From tblProperties Where PropID = " & mPropID)
    If Not rs.EOF Then
        rs.MoveFirst
        EndValues() = rs.GetRows(1)
        rs.MoveFirst
            'rs!PropID = mPropID
            If frmDebtMain.TabStrip1.Tabs("CLIENT").Tag = "LOADED" Then
                'rs!AccountNumber = mAccountNumber
                'rs!PropertyAddress = mPropertyAddress
                'rs!PostCode = mPostCode
                rs!PossessionDate = frmDebtMain.clientForm.PossessionDate
                'rs!ArrearsDegree = mArrearsDegree
                'rs!LoanOutstanding = mLoanOutstanding
                rs!MarketValue = frmDebtMain.clientForm.MarketValue
            End If
            If frmDebtMain.TabStrip1.Tabs("DIARY").Tag = "LOADED" Then
                rs!Notes = frmDebtMain.txtNotes.Text
            End If
            rs!LastUpdated = Now
            rs!LastUser = User.UserName
        rs.Update
    End If
    rs.Close
    Set rs = Nothing
    DB.ReleaseDB
    
End Sub

Private Sub CloseRecord()
    
    mPropID = 0
    mDirty = False
    frmDebtMain.HideTabs
    
End Sub

Public Sub ShowSelectedPageData(Page As MSComctlLib.Tab)

    Dim TempObj As ListView, rs As ADODB.Recordset, TempDirty As Boolean

    TempDirty = mDirty

    Select Case Page.Key
        Case "CLIENT"
            If Page.Tag <> "LOADED" Then
                With frmDebtMain.clientForm
                    .AccountNumber = mAccountNumber
                    .ArrearsDegree = mArrearsDegree
                    .PossessionDate = mPossessionDate
                    .PostCode = mPostCode
                    .PropertyAddress = mPropertyAddress
                    .MarketValue = mMarketValue
                    .LoanOutstanding = mLoanOutstanding
                    .LastUpdatedCaption = "Last Updated " & Format(mLastUpdated, "Short Date") & " By " & mLastUser
                End With
                Page.Tag = "LOADED"
            End If
            frmDebtMain.clientForm.GetCustomerListView TempObj
            Set rs = DB.OpenReadOnlySQL("Select Surname, initials, title, CustID,CorrespondenceAddress " & _
                                    "From tblCustomers as c Where PropID = " & mPropID)
            If Not rs.EOF Then
                TempObj.ListItems.Clear
                While Not rs.EOF
                    tempkey = "CUST" & rs!custID
                    TempObj.ListItems.Add , tempkey, nz(rs!Title, "")
                    TempObj.ListItems(tempkey).SubItems(1) = nz(rs!initials, "")
                    TempObj.ListItems(tempkey).SubItems(2) = nz(rs!surname, "")
                    TempObj.ListItems(tempkey).SubItems(3) = StripNewLines(nz(rs!correspondenceaddress, ""), ",", True)
                    rs.MoveNext
                Wend
            End If
            rs.Close
            Set rs = Nothing
            DB.ReleaseDB
            
        Case "DIARY"
            If Page.Tag <> "LOADED" Then
                frmDebtMain.txtNotes.Text = mNotes
                Page.Tag = "LOADED"
            End If
            
        Case "OTHER"
            If Page.Tag <> "LOADED" Then
                With frmDebtMain.tvwOther
                    .Nodes.Clear
                    .Nodes.Add , , "LET", "Letters", 5
                    .Nodes("LET").ExpandedImage = 6
                    .Nodes("LET").Expanded = True
                    .Nodes.Add "LET", tvwChild, "NEW|LET", "Create New Letter", 16
                    .Nodes.Add , , "VAL", "Valuations", 5
                    .Nodes("VAL").ExpandedImage = 6
                    .Nodes("VAL").Expanded = True
                    .Nodes.Add "VAL", tvwChild, "NEW|VAL", "Create New Valuation", 16
                    .Nodes.Add , , "TRANS", "Recent Transactions", 5
                    .Nodes("TRANS").ExpandedImage = 6
                End With
                Page.Tag = "LOADED"
            End If
                
    End Select
    
    mDirty = TempDirty
    
End Sub

Public Sub OtherListView(TreeSelection As Node)
    Dim rs As ADODB.Recordset, x As Long, tempkey As String
    
    tempkey = TreeSelection.Key
    Select Case tempkey
    Case "LET"
        With frmDebtMain.lvwOther
            .ListItems.Clear
            .ColumnHeaders.Clear
            .ColumnHeaders.Add , "DATE", "Letter Date", 1200
            .ColumnHeaders.Add , "FILE", "Base File Name", 1800
            .ColumnHeaders.Add , "UPDATED", "Last Updated", 1200
            .ColumnHeaders.Add , "LASTUSER", "Last User", 1400
            
            Set rs = DB.OpenReadOnlySQL("Select * From tblLetters where PropID = " & mPropID)
            
            If Not rs.EOF Then
                rs.MoveFirst
                While Not rs.EOF
                    .ListItems.Add , "LET" & rs!LetID, rs!letterDate
                    .ListItems("LET" & rs!LetID).SubItems(1) = rs!OriginalFilename
                    .ListItems("LET" & rs!LetID).SubItems(2) = rs!LastUpdated
                    .ListItems("LET" & rs!LetID).SubItems(3) = rs!LastUser
                    rs.MoveNext
                Wend
            End If
            rs.Close
            Set rs = Nothing
            DB.ReleaseDB
        End With
            
    Case "VAL"
        With frmDebtMain.lvwOther
            .ListItems.Clear
            .ColumnHeaders.Clear
            .ColumnHeaders.Add , "DATE", "Date", 1200
            .ColumnHeaders.Add , "VALUER", "Valuer", 1400
            .ColumnHeaders.Add , "VALUATION", "Valuation", 1200, 1
            .ColumnHeaders.Add , "TYPE", "ValuationType", 1400
            
            Set rs = DB.OpenReadOnlySQL("Select v.*, v2.ValuerName,v3.ValuationType as valDesc From (tblValuations as v inner join tblValuers as v2 on v.ValuerID = v2.ValuerID) Inner Join tblValuationTypes as v3 on v.valuationType = v3.ValTypeID where PropID = " & mPropID)
            
            If Not rs.EOF Then
                rs.MoveFirst
                While Not rs.EOF
                    .ListItems.Add , "VAL" & rs!ValID, rs!ValuationDate
                    .ListItems("VAL" & rs!ValID).SubItems(1) = rs!ValuerName
                    .ListItems("VAL" & rs!ValID).SubItems(2) = rs!Valuation
                    .ListItems("VAL" & rs!ValID).SubItems(3) = rs!valDesc
                    rs.MoveNext
                Wend
            End If
            rs.Close
            Set rs = Nothing
            DB.ReleaseDB
        End With
        
    Case "TRANS"
        With frmDebtMain.lvwOther
            .ListItems.Clear
            .ColumnHeaders.Clear
            .ColumnHeaders.Add , "DATE", "Trans. Date", 1200
            .ColumnHeaders.Add , "TYPE", "Payment Type", 1200
            .ColumnHeaders.Add , "AMOUNT", "Amount", 1500, 1
                        
            .ListItems.Add , "TRA" & 1, #8/31/2001#
            .ListItems("TRA" & 1).SubItems(1) = "DD"
            .ListItems("TRA" & 1).SubItems(2) = "500"
        End With
        
    Case Else
        If InStr(tempkey, "NEW") > 0 Then
            x = InStr(tempkey, "|")
            Select Case Mid(tempkey, x + 1)
            Case "VAL"
                frmNewValuation.Show vbModal, frmDebtMain
                Set frmDebtMain.tvwOther.SelectedItem = frmDebtMain.tvwOther.Nodes("VAL")
                OtherListView frmDebtMain.tvwOther.SelectedItem
            Case "LET"
                frmNewLetter.Show vbModal, frmDebtMain
                Set frmDebtMain.tvwOther.SelectedItem = frmDebtMain.tvwOther.Nodes("LET")
                OtherListView frmDebtMain.tvwOther.SelectedItem
            End Select
        End If
    End Select
End Sub

Public Sub OpenItemDetails(ItemKey As String)

    Select Case Left(ItemKey, 3)
    Case "LET"
        Dim x As New frmNewLetter
        x.Caption = "Edit Letter"
        x.lblCaption.Caption = "You will be able to edit the letter details here"
        x.Show vbModal, frmDebtMain
        Set frmDebtMain.tvwOther.SelectedItem = frmDebtMain.tvwOther.Nodes("LET")
        OtherListView frmDebtMain.tvwOther.SelectedItem
    Case "VAL"
        Dim y As New frmNewValuation
        y.Caption = "Edit Valuation"
        y.lblCaption.Caption = "You will be able to edit the valuation details here"
        y.Show vbModal, frmDebtMain
        Set frmDebtMain.tvwOther.SelectedItem = frmDebtMain.tvwOther.Nodes("VAL")
        OtherListView frmDebtMain.tvwOther.SelectedItem
    End Select
    
End Sub
