VERSION 5.00
Object = "{86CF1D34-0C5F-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCT2.OCX"
Begin VB.Form frmCompleteDiary 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Complete Diary Entry"
   ClientHeight    =   3030
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   5160
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3030
   ScaleWidth      =   5160
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin MSComCtl2.DTPicker DateActioned 
      Height          =   315
      Left            =   1410
      TabIndex        =   3
      Top             =   2100
      Width           =   1620
      _ExtentX        =   2858
      _ExtentY        =   556
      _Version        =   393216
      Format          =   144179201
      CurrentDate     =   37176
   End
   Begin VB.TextBox txtNotes 
      Height          =   795
      Left            =   1395
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   2
      Top             =   1245
      Width           =   3645
   End
   Begin VB.ComboBox cboAction 
      Height          =   315
      Left            =   3195
      Style           =   2  'Dropdown List
      TabIndex        =   0
      Top             =   120
      Width           =   1710
   End
   Begin VB.TextBox txtDescription 
      Height          =   510
      Left            =   1395
      MaxLength       =   255
      MultiLine       =   -1  'True
      TabIndex        =   1
      Top             =   645
      Width           =   3660
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Height          =   345
      Left            =   3870
      TabIndex        =   4
      Top             =   2145
      Width           =   1200
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   345
      Left            =   3870
      TabIndex        =   5
      Top             =   2580
      Width           =   1200
   End
   Begin VB.TextBox txtClient 
      BackColor       =   &H8000000F&
      Height          =   315
      Left            =   810
      Locked          =   -1  'True
      TabIndex        =   6
      TabStop         =   0   'False
      Top             =   120
      Width           =   1350
   End
   Begin VB.Label lblLastUpdate 
      Caption         =   "Label5"
      ForeColor       =   &H8000000C&
      Height          =   300
      Left            =   75
      TabIndex        =   12
      Top             =   2700
      Width           =   3570
   End
   Begin VB.Shape Shape1 
      BorderColor     =   &H8000000C&
      Height          =   450
      Left            =   60
      Shape           =   4  'Rounded Rectangle
      Top             =   60
      Width           =   5010
   End
   Begin VB.Label Label4 
      Alignment       =   1  'Right Justify
      Caption         =   "Date Completed"
      Height          =   405
      Left            =   45
      TabIndex        =   11
      Top             =   2160
      Width           =   1215
   End
   Begin VB.Label Label3 
      Alignment       =   1  'Right Justify
      Caption         =   "Additional Notes"
      Height          =   300
      Left            =   60
      TabIndex        =   10
      Top             =   1275
      Width           =   1200
   End
   Begin VB.Label Label1 
      Caption         =   "Action Type"
      Height          =   330
      Left            =   2295
      TabIndex        =   9
      Top             =   180
      Width           =   885
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "Details"
      Height          =   300
      Left            =   660
      TabIndex        =   8
      Top             =   690
      Width           =   600
   End
   Begin VB.Label lblClient 
      Caption         =   "Client"
      Height          =   285
      Left            =   195
      TabIndex        =   7
      Top             =   165
      Width           =   540
   End
End
Attribute VB_Name = "frmCompleteDiary"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Public SelectedOK As Boolean
Private mClient As String
Private mUserID As Long
Private mActionType As Long
Private mDiaryID As Long
Private mDescription As String
Private mDateActioned
Private mLastUser As String
Private mLastUpdated As Date
Private mNotes As String
Private mErrorLoading As Boolean

Public Property Get ErrorLoadingDiary() As Boolean
    ErrorLoadingDiary = mErrorLoading
End Property

Public Property Let Client(ClientText As String)
    mClient = ClientText
End Property

Public Property Let CompleteDiary(DiaryID As Long)
    Dim db As New DBConnection
    Dim rs As adodb.Recordset
    
    Set rs = db.OpenReadOnlySQL("Select d.*, p.AccountNumber From tblDiary as d left join tblProperties as p on d.propID = p.propID Where DiaryID = " & DiaryID)
    If Not rs.EOF Then
        rs.MoveFirst
        mDiaryID = DiaryID
        mClient = nz(rs!AccountNumber, "General")
        mUserID = nz(rs!UserDiary, 0)
        mActionType = rs!ActionType
        mDescription = nz(rs!Description, "")
        mLastUser = nz(rs!LastUser, "")
        mLastUpdated = nz(rs!LastUpdated, #12:00:00 AM#)
        mNotes = nz(rs!Notes, "")
        If Not IsNull(rs!DateActioned) Then
            mDateActioned = rs!DateActioned
        End If
        If rs!completed Then Caption = "Edit Entry Details"
        mErrorLoading = False
    Else
        mErrorLoading = True
    End If
    rs.Close
    Set rs = Nothing
    db.ReleaseDB
    Set db = Nothing
End Property

Private Sub cboAction_Click()
    If cboAction.ListIndex >= 0 Then
        If cboAction.ItemData(cboAction.ListIndex) = -1 Then
            Dim frm As New frmNewAction
            frm.Show vbModal
            
            If frm.NewAction > 0 Then
                Dim db As New DBConnection
                Dim rs As adodb.Recordset
                Dim ar, x As Long
                
                Set rs = db.OpenReadOnlySQL("Select * From tblActions order by actiontype")
                If Not rs.EOF Then
                    rs.MoveFirst
                    Me.cboAction.Clear
                    While Not rs.EOF
                        Me.cboAction.AddItem rs!ActionType
                        Me.cboAction.ItemData(Me.cboAction.ListCount - 1) = rs!ActionID
                        If rs!ActionID = frm.NewAction Then
                            Me.cboAction.ListIndex = Me.cboAction.ListCount - 1
                        End If
                        rs.MoveNext
                    Wend
                    Me.cboAction.AddItem "<New Action>"
                    Me.cboAction.ItemData(Me.cboAction.ListCount - 1) = -1
                End If
                rs.Close
                Set rs = Nothing
                db.ReleaseDB
                Set db = Nothing
            Else
                cboAction.ListIndex = -1
            End If
            Unload frm
        End If
    End If
End Sub

Private Sub cmdCancel_Click()
    SelectedOK = False
    Me.Hide
End Sub

Private Sub CmdOK_Click()
    If cboAction.ListIndex < 0 Then
        MsgBox "Please Select an Action Type"
        Exit Sub
    End If
    SelectedOK = True
    Me.Hide
End Sub

Private Sub Form_Load()
    Dim db As New DBConnection
    Dim rs As adodb.Recordset
    Dim ar, x As Long
    
    Set rs = db.OpenReadOnlySQL("Select * From tblActions order by actiontype")
    If Not rs.EOF Then
        rs.MoveFirst
        While Not rs.EOF
            Me.cboAction.AddItem rs!ActionType
            Me.cboAction.ItemData(Me.cboAction.ListCount - 1) = rs!ActionID
            If mActionType > 0 And mActionType = rs!ActionID Then Me.cboAction.ListIndex = cboAction.ListCount - 1
            rs.MoveNext
        Wend
        Me.cboAction.AddItem "<New Action>"
        Me.cboAction.ItemData(Me.cboAction.ListCount - 1) = -1
    End If
    rs.Close
    Set rs = Nothing
    db.ReleaseDB
    Set db = Nothing
    Me.txtDescription.Text = mDescription
    Me.txtNotes.Text = mNotes
    If Not IsEmpty(mDateActioned) Then
        Me.DateActioned = mDateActioned
    Else
        Me.DateActioned = Date
    End If
    Me.txtClient.Text = mClient
    Me.lblLastUpdate.Caption = "(Last updated " & Format(mLastUpdated, "Short Date") & " by " & mLastUser & ")"
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If UnloadMode = 0 Then
        Cancel = True
        SelectedOK = False
        Me.Hide
    End If
End Sub

