using System;
using System.Windows.Forms;

namespace DebtManagerTest
{
	/// <summary>
	/// Summary description for OtherNode.
	/// </summary>
	public class OtherNode : TreeNode
	{
		private OtherListManager mManager;
		private string mSql;
		private string initialText;
		private Int32 myTotal;

		public OtherNode(string text, int img, int selImg)
		: base(text, img, selImg)
		{
			initialText = text;
		}
		public OtherNode(string text, int img, int selImg, string SQL)
			: base(text, img, selImg)
		{			
			initialText = text;
			this.SQL = SQL;
		}
		public OtherNode(string text, int img, int selImg, string SQL, OtherListManager mgr)
			: base(text, img, selImg)
		{
			initialText = text;
			this.SQL = SQL;
			mManager = mgr;
		}
		public OtherListManager Manager
		{
			get
			{
				return mManager;
			}
			set
			{
				mManager = value;
			}
		}
		public string SQL
		{
			get 
			{
				return mSql;
			}
			set
			{
				mSql = value;
			}
		}
		public Int32 Total
		{
			get
			{
				return myTotal;
			}
			set
			{
				myTotal = value;
			}
		}
		public string InitialText
		{
			get 
			{
				return initialText;
			}
		}
	}
}
