using System;
using System.Data;

namespace DebtManagerTest
{
	/// <summary>
	/// Summary description for SecondChargesListManager.
	/// </summary>
	public class SecondChargesListManager :OtherListManager
	{
		protected override DebtManagerTest.DebtBaseForm getNewForm()
		{
			return new frmSecondCharges();
		}

		public override void FillList(System.Windows.Forms.ListView lvw, Int32 CaseID)
		{
			lvw.BeginUpdate();
			lvw.Items.Clear();
			DataTable dt = cMyDB.GetDataTable("Select CompanyName, FullName, ID From SecondCharges INNER JOIN Companies on Companies.ShortName = SecondCharges.CompanyName Where SecondCharges.CaseID = " + CaseID.ToString());
			foreach (DataRow dr in dt.Rows)
			{
				System.Windows.Forms.ListViewItem temp = lvw.Items.Add(dr["CompanyName"] + "");
				temp.SubItems.Add(dr["FullName"] + "");
				temp.Tag = dr["ID"];
			}
			dt.Dispose();
			lvw.EndUpdate();
		}

		public override void SetupColums(System.Windows.Forms.ListView lvw)
		{
			lvw.Columns.Clear();
			lvw.Columns.Add("Company Short Name",lvw.ClientSize.Width/4,System.Windows.Forms.HorizontalAlignment.Left);
			lvw.Columns.Add("Company Full Name",lvw.ClientSize.Width * 3/4,System.Windows.Forms.HorizontalAlignment.Left);
		}
	}
}
