VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form frmResults 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Search Results (double-click to open)"
   ClientHeight    =   3330
   ClientLeft      =   45
   ClientTop       =   315
   ClientWidth     =   5610
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3330
   ScaleWidth      =   5610
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdClose 
      Cancel          =   -1  'True
      Caption         =   "Close"
      Height          =   375
      Left            =   2250
      TabIndex        =   1
      Top             =   2880
      Width           =   900
   End
   Begin MSComctlLib.ListView lvwResults 
      Height          =   2745
      Left            =   75
      TabIndex        =   0
      Top             =   75
      Width           =   5430
      _ExtentX        =   9578
      _ExtentY        =   4842
      View            =   3
      LabelWrap       =   -1  'True
      HideSelection   =   0   'False
      FullRowSelect   =   -1  'True
      _Version        =   393217
      ForeColor       =   -2147483640
      BackColor       =   -2147483643
      BorderStyle     =   1
      Appearance      =   1
      NumItems        =   4
      BeginProperty ColumnHeader(1) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         Text            =   "Account No"
         Object.Width           =   1764
      EndProperty
      BeginProperty ColumnHeader(2) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         SubItemIndex    =   1
         Text            =   "Name"
         Object.Width           =   2540
      EndProperty
      BeginProperty ColumnHeader(3) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         SubItemIndex    =   2
         Text            =   "Address"
         Object.Width           =   2540
      EndProperty
      BeginProperty ColumnHeader(4) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         SubItemIndex    =   3
         Text            =   "Post Code"
         Object.Width           =   1940
      EndProperty
   End
End
Attribute VB_Name = "frmResults"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Public SearchFor As String

Public Event CaseSelected(PropID As Long)
Public Event IHaveClosed()

Private Sub cmdClose_Click()
    Unload Me
End Sub

Public Sub Reset()
    lvwResults.ListItems.Clear
    Form_Load
End Sub

Private Sub Form_Load()
    Dim db As New DBConnection
    Dim rs As ADODB.Recordset
    Dim tempkey As String
    
    SearchFor = ElimQuotes(SearchFor)
    
    Set rs = db.OpenReadOnlySQL("Select AccountNumber, Surname & ', ' & initials as CustomerName, PropertyAddress, PostCode, p.PropID, CustID " & _
                                "From tblProperties as p left join tblCustomers as c on " & _
                                "p.PropID = c.PropID Where " & _
                                "AccountNumber LIKE '%" & SearchFor & "%' OR " & _
                                "PropertyAddress Like '%" & SearchFor & "%' OR " & _
                                "Postcode Like '%" & SearchFor & "%' OR " & _
                                "Surname like '%" & SearchFor & "%'")
    
    If Not rs.EOF Then
        While Not rs.EOF
            tempkey = "PROP" & rs!PropID & "|CUST" & nz(rs!CustID, 0)
            lvwResults.ListItems.Add , tempkey, nz(rs!AccountNumber, "")
            lvwResults.ListItems(tempkey).SubItems(1) = nz(rs!CustomerName, "")
            lvwResults.ListItems(tempkey).SubItems(2) = StripNewLines(nz(rs!PropertyAddress, ""), ",", True)
            lvwResults.ListItems(tempkey).SubItems(3) = nz(rs!PostCode, "")
            rs.MoveNext
        Wend
    End If
    
    rs.Close
    Set rs = Nothing
    db.ReleaseDB
    Set db = Nothing
End Sub

Private Sub Form_Unload(Cancel As Integer)
    RaiseEvent IHaveClosed
End Sub

Private Sub lvwResults_DblClick()
    
    Dim TempID As Long, tempkey As String
    
    tempkey = lvwResults.SelectedItem.Key
    TempID = CLng(Mid(Left(tempkey, InStr(tempkey, "|CUST") - 1), 5))
    RaiseEvent CaseSelected(TempID)
    
End Sub
